%define upstream_name    MooseX-Types-Common
%define upstream_version 0.001014

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 5

Summary:    A library of commonly used type constraints 
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        http://search.cpan.org/dist/%{upstream_name}
Source0:    http://www.cpan.org/modules/by-module/MooseX/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(Module::Build::Tiny)
BuildRequires: perl(Moose) >= 0.390.0
BuildRequires: perl(MooseX::Types) >= 0.40.0
BuildRequires: perl(Test::CheckDeps)
BuildRequires: perl(Test::Deep)
BuildRequires: perl(Test::Fatal)
BuildRequires: perl(Test::More) >= 0.620.0
BuildRequires: perl(Test::Warnings)
BuildArch:  noarch

%{?perl_default_filter}

%description
A set of commonly-used type constraints that do not ship with Moose by
default.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%__perl Build.PL --installdirs=vendor

./Build

%check
./Build test

%install
./Build install --destdir=%{buildroot}

%files
%doc Changes META.yml MYMETA.yml README
%{_mandir}/man3/*
%{perl_vendorlib}/*


%changelog
* Sat Feb 15 2020 umeabot <umeabot> 0.1.14-5.mga8
+ Revision: 1523775
- Mageia 8 Mass Rebuild

* Tue Mar 12 2019 tv <tv> 0.1.14-4.mga7
+ Revision: 1374768
- fix summary

* Thu Sep 20 2018 umeabot <umeabot> 0.1.14-3.mga7
+ Revision: 1285094
- Mageia 7 Mass Rebuild

* Tue Oct 03 2017 tv <tv> 0.1.14-2.mga7
+ Revision: 1165678
- rebuild with fixed rpm for missing autodeps

* Fri Sep 22 2017 sander85 <sander85> 0.1.14-1.mga7
+ Revision: 1157577
- update to 0.001014

* Sun Jun 19 2016 pterjan <pterjan> 0.1.13-3.mga6
+ Revision: 1030696
- Rebuild for perl 5.22.2

* Thu Feb 18 2016 umeabot <umeabot> 0.1.13-2.mga6
+ Revision: 967456
- Mageia 6 Mass Rebuild

* Tue Jun 30 2015 sander85 <sander85> 0.1.13-1.mga6
+ Revision: 849070
- update to 0.001013

* Sun Oct 19 2014 umeabot <umeabot> 0.1.12-5.mga5
+ Revision: 788675
- Rebuild to potentially add missing dependencies

* Wed Oct 15 2014 umeabot <umeabot> 0.1.12-4.mga5
+ Revision: 743302
- Second Mageia 5 Mass Rebuild

* Thu Oct 02 2014 tv <tv> 0.1.12-3.mga5
+ Revision: 735860
- add exclude

* Tue Sep 16 2014 umeabot <umeabot> 0.1.12-2.mga5
+ Revision: 685578
- Mageia 5 Mass Rebuild

* Sat Feb 08 2014 sander85 <sander85> 0.1.12-1.mga5
+ Revision: 586536
- update to 0.001012

* Mon Oct 21 2013 umeabot <umeabot> 0.1.10-2.mga4
+ Revision: 537815
- Mageia 4 Mass Rebuild

* Fri Sep 27 2013 sander85 <sander85> 0.1.10-1.mga4
+ Revision: 487815
- update to 0.001010

* Sun Sep 15 2013 sander85 <sander85> 0.1.9-1.mga4
+ Revision: 479879
- update to 0.001009

* Sun Jan 13 2013 umeabot <umeabot> 0.1.8-2.mga3
+ Revision: 370318
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Wed Jul 04 2012 jquelin <jquelin> 0.1.8-1.mga3
+ Revision: 267392
- update to 0.001008

* Mon Mar 05 2012 jquelin <jquelin> 0.1.7-1.mga2
+ Revision: 218766
- update to 0.001007

* Thu Feb 23 2012 jquelin <jquelin> 0.1.6-1.mga2
+ Revision: 213441
- adding missing buildrequires:
- update to 0.001006

* Thu Dec 08 2011 kharec <kharec> 0.1.4-1.mga2
+ Revision: 179216
- update to 0.001004

* Thu Sep 01 2011 jquelin <jquelin> 0.1.3-1.mga2
+ Revision: 137558
- update to 0.001003

* Tue Jan 25 2011 jquelin <jquelin> 0.1.2-1.mga1
+ Revision: 38633
- mageia rebuild
- imported package perl-MooseX-Types-Common

